<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/07/2004 *
 * ================                             Last change: 11/25/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-del_transfer.php                            *
 * -------------------------------------------------------------------- *
 * Short description : Point transfers                                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Punktetransfers                                  *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (ereg(basename(__FILE__), $_SERVER['PHP_SELF']) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), '/inc') + 4) . '/security.php';
	require($INC);
}

// Add description as navigation point
ADD_DESCR('admin', __FILE__);

if (REQUEST_ISSET_POST('del')) {
	// Delete entries from tables
	$SEL = countPostSelection();
	if ($SEL > 0) {
		// Init SQLs
		INIT_SQLS();

		// Delete entries...
		foreach (REQUEST_POST('sel') as $id => $sel) {
			ADD_SQL(SQL_QUERY_ESC("DELETE LOW_PRIORITY FROM `{!_MYSQL_PREFIX!}_user_transfers_in` WHERE trans_id=%s LIMIT 1",
				array(bigintval($id)), __FILE__, __LINE__, false));
			ADD_SQL(SQL_QUERY_ESC("DELETE LOW_PRIORITY FROM `{!_MYSQL_PREFIX!}_user_transfers_out` WHERE trans_id=%s LIMIT 1",
				array(bigintval($id)), __FILE__, __LINE__, false));
		} // END - foreach

		// Run all SQLs
		runFilterChain('run_sqls');
	}
}

// We only need outgoing transfers
$result = SQL_QUERY("SELECT userid, to_uid, trans_id, points, reason, time_trans FROM `{!_MYSQL_PREFIX!}_user_transfers_out` ORDER BY trans_id", __FILE__, __LINE__);
$total = 0;
if (SQL_NUMROWS($result) > 0) {
	// Output rows
	$OUT = ''; $SW = 2;
	while ($content = SQL_FETCHARRAY($result)) {
		// Prepare data for the row template
		// @TODO Rewritings: idx->trans_id in template
		$content = array(
			'sw'       => $SW,
			'idx'      => $content['trans_id'],
			'stamp'    => generateDateTime($content['time_trans'], "3"),
			'uid_from' => generateUserProfileLink($content['userid']),
			'uid_to'   => generateUserProfileLink($content['to_uid']),
			'reason'   => $content['reason'],
			'points'   => translateComma($content['points']),
		);

		// Load row template
		$OUT .= LOAD_TEMPLATE("admin_del_transfer_row", true, $content);

		// Sum points and switch colors
		$total += $content['points']; $SW = 3 - $SW;
	}

	// Free memory
	SQL_FREERESULT($result);
} else {
	// Nothing for in and out
	$OUT = "<tr>
  <td colspan=\"6\" align=\"center\" class=\"bottom2\" height=\"70\">
    ".LOAD_TEMPLATE('admin_settings_saved', true, getMessage('TRANSFER_NO_INOUT_TRANSFERS'))."
  </td>
</tr>";
}

// ... and add them to a constant for the template
// @TODO Rewrite all these constants
define('__TRANSFER_ROWS', $OUT);

// Remeber total amount
define('__TRANSFER_TOTAL_VALUE', $total);

// Set title
define('__TRANSFER_TITLE', getMessage('TRANSFER_LIST_ALL'));

// Show delete button here
define('__TRANSFER_DELETE', "<input type=\"reset\" class=\"admin_reset\" value=\"{--UNDO_SELECTIONS--}\" />&nbsp;*&nbsp;<input type=\"submit\" name=\"del\" class=\"admin_delete\" value=\"{--TRANSFER_DELETE--}\" />");

// Load final template
LOAD_TEMPLATE("admin_list_transfer");

//
?>
